
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS开发Swift篇—（三）字符串和数据类型 / iVAN</title>

    <meta name="description" content="iOS开发Swift篇—（三）字符串和数据类型 一.字符串 字符串是String类型的数据,用双引号&quot;&quot;包住文字内容 let website = &quot;http://www.wendingding.com&quot; 1.字符串的常见操作 (1)用加号 + 做字符串拼接 let scheme = &quot;http://&quot; let path = &quot;www.wendingding.com&quot; let website = scheme + path // website的内容是&quot;h ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS开发Swift篇—（三）字符串和数据类型</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、字符串</strong></p>
<p>字符串是String类型的数据，用双引号""包住文字内容 let website = "http://www.wendingding.com"</p>
<p>1.字符串的常见操作</p>
<p>（1）用加号 + 做字符串拼接</p>
<p>let scheme = "http://"</p>
<p>let path = “www.wendingding.com”</p>
<p>let website = scheme + path</p>
<p>// website的内容是”http://www.wendingding.com”</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ1MDEzNi8yMDE0MDgvMDExMDU5MjM1ODc2NTg0LnBuZw==.jpg"><br />（2）用反斜线 \ 和 小括号 () 做字符串插值（把常量\变量插入到字符串中）</p>
<p>let hand = 2</p>
<p>var age = 20</p>
<p>let str = "我今年\(age)岁了，有\(hand)只手"</p>
<p>// str的内容是"我今年20岁了，有2只手"</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ1MDEzNi8yMDE0MDgvMDExMDU5MzgxMDIyMzE4LnBuZw==.jpg"><br />注意：swift是类型安全语言，不同的数据类型是不能相加的。（需要强制转换类型）</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ1MDEzNi8yMDE0MDgvMDExMTAwMjM1NzEzNzI3LnBuZw==.jpg"><br />2.打印输出</p>
<p>Swift提供了2个打印输出函数</p>
<p>println ：输出内容后会自动换行</p>
<p>print ：对比println，少了个自动换行的功能</p>
<p><strong>二、数据类型</strong></p>
<p>1.Swift中常用的数据类型有</p>
<p>Int、Float、Double、Bool、Character、String</p>
<p>Array、Dictionary、元组类型（Tuple）、可选类型（Optional）</p>
<p>注意：数据类型的首字母都是大写的</p>
<p>2.指定变量\常量的数据类型</p>
<p>　　在常量\变量名后面加上 冒号（:） 和 类型名称</p>
<p>let age: Int = 10</p>
<p>上面代码表示：定义了一个Int类型的常量age，初始值是10</p>
<p>提示：一般来说，没有必要明确指定变量\常量的类型。如果在声明常量\变量时赋了初始值，Swift可以自动推断出这个常量\变量的类型</p>
<p>如：let age = 20 Swift会推断出age是Int类型，因为20是个整数</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzQ1MDEzNi8yMDE0MDgvMDExMTA0MTI5NDY2NDg1LnBuZw==.jpg"><br /><strong>三、变量的初始化</strong></p>
<p>Swift严格要求变量在使用之前必须进行初始化</p>
<p>注意：下面的代码是错误的</p>
<p>var a: Int</p>
<p>let c = a + 10</p>
<p>说明：</p>
<p>第1行代码中：Swift并不会为变量a赋初值，a没有初始化</p>
<p>第2行代码会报错</p>
<p>下面的代码是正确的</p>
<p>var a: Int = 20</p>
<p>let c = a + 10</p>
<p><strong>四、整数</strong></p>
<p>1.整数的分类</p>
<p>整数分为2种类型</p>
<p>有符号（signed）：正、负、零</p>
<p>无符号（unsigned）：正、零</p>
<p>Swift提供了8、16、32、64位的有符号和无符号整数，比如</p>
<p>UInt8 ：8位无符号整型</p>
<p>Int32 ：32位有符号整型</p>
<p>Int8、Int16、Int32、Int64、UInt8、UInt16、UInt32、UInt64</p>
<p>2.最值</p>
<p>可以通过min和max属性来获取某个类型的最小值和最大值</p>
<p>let minValue = UInt8.min  // UInt8 类型的 min 等于0</p>
<p>let maxValue = UInt8.max  // UInt8 类型的 max 等于255</p>
<p>3.Int和UInt</p>
<p>Swift还提供了特殊的有符号整数类型Int和无符号整数类型UInt</p>
<p>说明：Int\UInt的长度和当前系统平台一样</p>
<p>在32位系统平台上，Int和UInt的长度是32位</p>
<p>在64位系统平台上，Int和UInt的长度是64位</p>
<p>Int在32位系统平台的取值范围：-2147483648 ~ 2147483647</p>
<p>建议</p>
<p>在定义变量时，别总是在考虑有无符号、数据长度的问题</p>
<p>尽量使用Int，这样可以保证代码的简洁、可复用性</p>
<p>4.存储范围</p>
<p>每种数据类型都有各自的存储范围，比如</p>
<p>Int8的存储范围是：–128 ~ 127</p>
<p>UInt8的存储范围是：0 ~ 255</p>
<p>如果数值超过了存储范围，编译器会直接报错</p>
<p>注意：下面的语句都会直接报错</p>
<p>let num1: UInt8 = -1</p>
<p>let num2: Int8 = Int8.max + 1</p>
<p>说明：</p>
<p>第1行代码报错原因： UInt8不能存储负数</p>
<p>第2行代码报错原因： Int8能存储的最大值是Int8.max</p>
<p>5.整数的表示形式</p>
<p>整数的4种表示形式</p>
<p>（1）十进制数：没有前缀</p>
<p>　　let i1 = 10 // 10</p>
<p>（2）二进制数：以0b为前缀</p>
<p>　　let i2 = 0b1010 // 10</p>
<p>（3）八进制数：以0o为前缀</p>
<p>　　let i3 = 0o12 // 10</p>
<p>（4）十六进制数：以0x为前缀</p>
<p>　　let i4 = 0xA // 10</p>
<p><strong>五、浮点数</strong></p>
<p>1.浮点数说明</p>
<p>浮点数，就是小数。Swift提供了两种浮点数类型</p>
<p>Double ：64位浮点数，当浮点值非常大或需要非常精确时使用此类型</p>
<p>Float ：32位浮点数，当浮点值不需要使用Double的时候使用此类型</p>
<p>精确程度</p>
<p>Double ：至少15位小数</p>
<p>Float ：至少6位小数</p>
<p>注意：如果没有明确说明类型，浮点数默认就是Double类型</p>
<p>let num = 0.14 // num是Double类型的常量</p>
<p>2.浮点数的表示形式</p>
<p>浮点数可以用 十进制 和 十六进制 2种进制来表示</p>
<p>（1）十进制（没有前缀）</p>
<p>1）没有指数：let d1 = 12.5</p>
<p>2）有指数 ：let d2 = 0.125e2</p>
<p>// 0.125e2 == 0.125 * 10²</p>
<p>MeN == M * 10的N次方</p>
<p>（2）十六进制（以0x为前缀，且一定要有指数）</p>
<p>let d3 = 0xC.8p0</p>
<p>// 0xC.8p0 == 0xC.8 * 2º == 12.5 * 1</p>
<p>0xMpN == 0xM * 2的N次方</p>
<p>let d3 = 0xC.8p1</p>
<p>// 0xC.8p1 == 0xC.8 * 2¹ == 12.5 * 2 == 25.0</p>
<p>3.数字格式</p>
<p>数字可以增加额外的格式，使它们更容易阅读</p>
<p>（1）可以增加额外的零 0</p>
<p>let money = 001999 // 1999</p>
<p>let money2 = 001999.000 // 1999.0</p>
<p>（2）可以增加额外的下划线 _ ，以增强可读性</p>
<p>let oneMillion1 = 1_000_000 // 1000000</p>
<p>let oneMillion2 = 100_0000 // 1000000</p>
<p>let overOneMillion = 1_000_000.000_001 // 1000000.000001</p>
<p>说明：增加了额外的零 0和下划线 _ ，并不会影响原来的数值大小</p>
<p><strong>六、类型转换</strong></p>
<p>两个类型不相同的数值，是不能直接进行运算的</p>
<p>示例1：</p>
<p>注意：下面的语句是错误的</p>
<p>let num1: UInt8 = 10;</p>
<p>let num2: Int = 20;</p>
<p>let sum: Int = num1 + num2</p>
<p>第3行会报错说明：</p>
<p>报错原因：num1是UInt8类型，num2是类型Int，类型不同，不能相加</p>
<p>解决方案：将num1转为Int类型，就能与num2进行相加</p>
<p>下面的语句是正确的</p>
<p>let sum: Int = Int(num1) + num2</p>
<p>示例2：</p>
<p>注意：下面的语句是错误的</p>
<p>let num1 = 3 // num1是Int类型</p>
<p>let num2 = 0.14 // num2是Double类型</p>
<p>let sum = num1 + num2</p>
<p>第3行报错说明：</p>
<p>报错原因：num1是Int类型，num2是类型Double，类型不同，不能相加</p>
<p>解决方案：将num1转为Double类型，就能与num2进行相加</p>
<p>下面的语句是正确的</p>
<p>let sum = Double(num1) + num2</p>
<p>注意：</p>
<p>下面的写法是正确的</p>
<p>let sum = 3 + 0.14</p>
<p>3和0.14相加得到结果3.14，等赋值以后，编译器才会自动推断出sum是Double类型</p>
<p><strong>七、类型别名</strong></p>
<p>可以使用typealias关键字定义类型的别名，跟C语言的typedef作用类似</p>
<p>　　typealias MyInt = Int　// 给Int类型起了个别名叫做MyInt</p>
<p>原类型名称能用在什么地方，别名就能用在什么地方</p>
<p>　　声明变量\常量类型</p>
<p>　　let num: MyInt = 20</p>
<p>获得类型的最值</p>
<p>　　let minValue = MyInt.min</p>
<p>类型转换</p>
<p>　　let num = MyInt(3.14) // 3</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 00:45:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios%e5%bc%80%e5%8f%91/" title="ios开发">ios开发</a>, <a href="https://www.iamivan.net/tag/swift%e8%af%ad%e8%a8%80/" title="Swift语言">Swift语言</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS开发Swift篇—（三）字符串和数据类型的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgWm55M.html" rel="bookmark">iOS开发Swift篇（01） 变量&amp;amp&semi;常量&amp;amp&semi;元组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说明: 1)终于要写一写swift了.其实早在14年就已经写了swift的部分博客,无奈时过境迁,此时早已不同往昔了.另外,对于14年部分iOS开发Swift篇专题的博文也不再做任何的校正和更新,特此说明. 2)该博文对应代码可以在https://github.com/HanGangAndHanMeimei/Code获得. 一.变量和常量 01 变量和常量的定义 在swift中变量使用var来修饰,常量使用let来修饰,变量可以修改而常量不能被修改. 变量:var 常量:let 格式:修饰符(v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVjrOb.html" rel="bookmark">iOS开发Swift篇&mdash;简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简介 Swift是苹果于2014年WWDC(苹果开发者大会)发布的全新编程语言 Swift在天朝译为&quot;雨燕&quot;,是它的LOGO 是一只燕子,跟Objective-C一样,可以用于开发iOS.Mac应用程序 苹果从2010年7月开始设计Swift语言,耗时4年打造 Swift的语法特点 从它的语法中能看到Objective-C.JavaScript.Python等语言的影子 语法简单.代码简洁.使用方便 可与Objective-C混合使用(相互调用) 为什么要设计Swift语言? 让应			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxE68b.html" rel="bookmark">iOS开发Swift篇&mdash;（二）变量和常量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.语言的性能 (1)根据WWDC的展示 在进行复杂对象排序时Objective-C的性能是Python的2.8倍,Swift的性能是Python的3.9倍 在实现 RC4加密算法时Objective-C的的性能是Python的127倍,Swift的性能是Python的220倍 有持怀疑态度的国外程序员,也对Objective-C和Swift的性能进行了测试 http://www.splasmata.com/?p=2798 (2)说明 目前的性能不是开发者最需要担心的问题 苹果已经全盘掌握了这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKyeBb.html" rel="bookmark">iOS开发Swift篇&mdash;（七）函数&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.函数的定义 (1)函数的定义格式 1 func 函数名(形参列表) -&gt; 返回值类型 { 2 // 函数体... 3 4 } (2)形参列表的格式 形参名1: 形参类型1, 形参名2: 形参类型2, - (3)举例:计算2个整数的和 1 func sum(num1: Int, num2: Int) -&gt; Int { 2 return num1 + num2 3 } (4)没有返回值的函数 如果函数没有返回值,有3种写法 1 func 函数名(形参列表) -&gt; Void { 2 //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4WG0Pp.html" rel="bookmark">iOS开发Swift篇&mdash;（八）函数&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.函数类型 函数类型也是数据类型的一种,它由形参类型和返回值类型组成,格式是 (形参类型列表) -&gt; 返回值类型 1 func sum(num1: Int, num2: Int) -&gt; Int { 2 return num1 + num2 3 } sum函数的函数类型是(Int, Int) -&gt; Int 1 func printLine() 2 { 3 println(&quot;-----------&quot;) 4 } printLine函数的函数类型有4种表示方法 (1)Voi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mydvm4b.html" rel="bookmark">iOS开发Swift篇（02） NSThread线程相关简单说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 说明 1)关于多线程部分的理论知识和OC实现,在之前的博文中已经写明,所以这里不再说明. 2)该文仅仅简单讲解NSThread在swift语境中的一些使用和注意点,别他. 3)本文涉及代码可以从https://github.com/HanGangAndHanMeimei/Code地址获得. 二 NSThread的基本使用和创建 1)基本用法(主线程|当前线程) 1 //1.获得执行该方法的当前线程 2 let currentThread = NSThread.currentThread()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mye0XdM.html" rel="bookmark">iOS开发Swift篇&mdash;（九）属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.类的定义 Swift与Objective-C定义类的区别 Objective-C:一般需要2个文件,1个.h声明文件和1个.m实现文件 Swift:只需要1个.swift文件 Swift中类的定义格式 1 class 类名 { 2 // ... 属性和方法 3 } 二.属性 1.什么是属性 Swift中的属性(Properties),就类似于其他面向对象语言中的成员变量 2.属性的分类 按照官方文档的说明,属性可以分为以下几种 (1)存储属性(Stored Properties) (2)计算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEQO2Ab.html" rel="bookmark">iOS开发Swift篇&mdash;（十）方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简单说明 跟其他面向对象语言一样,Swift中的方法可以分为2大类: (1)实例方法(Instance Methods) 在OC中,实例方法以减号(-)开头 (2)类型方法(Type Methods) 在OC中,类型方法以加号(+)开头 二.实例方法 1.什么是实例方法? 实例方法:就是只能用对象实例调用的方法,也可以称为&quot;对象方法&quot; 实例方法的语法跟函数基本一样 2.代码示例: 1 class Dog { 2 func run() { 3 println(&quot;Dog---			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG8EXOb.html" rel="bookmark">iOS开发Swift篇&mdash;（四）运算符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.运算符 1.Swift所支持的部分运算符有以下一些 赋值运算符:= 复合赋值运算符:+=.-= 算术运算符:+.-.*./ 求余运算符:% 自增.自减运算符:++.-- 比较运算符:==.!=.&gt;.&lt;.&gt;=.&lt;= 逻辑运算符:&amp;&amp;.||.! 三目运算符:? : 范围运算符:..&lt; .... 溢出运算符:&amp;+.&amp;-.&amp;*.&amp;/.&amp;% 2.赋值运算符 (1)1对1赋值 var a = 5 let b = 20 (2)N对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLgDAM.html" rel="bookmark" class="title">Linux文件共享（一）&mdash;&mdash;进程与打开文件</a>
					<div>
						Linux支持在不同进程间共享打开文件.为了说明文件共享,先来说明内核用于所有I/O的数据结构. 他们之间的关系决定了在文件共享方面一个进程对另一个进程可能产生的影响. 0.1和文件有关的对象 (1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPlaZp.html" rel="bookmark" class="title">从春晚看网络营销 分析如何依靠热点事件引爆流量</a>
					<div>
						今晚想必很多朋友都守在电视机前和家人们一起看着春晚,笔者也和家人一起看着春晚,不过笔者是抱着seo的心态去观看春晚,在此就当将笔者此次的分享送给所有seoer的新年礼物. 首先来介绍下春晚,这个亿万观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boO7Db.html" rel="bookmark" class="title">erlang otp-erlang 服务器端编程 错误提示 variable &amp;amp&semi;amp&semi;&num;39&semi;State&amp;amp&semi;amp&semi;&num;39&semi; is unbound</a>
					<div>
						问题描述 erlang 服务器端编程 错误提示 variable 'State' is unbound -module(gen_server_template). %% gen_server_temp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVXNnM.html" rel="bookmark" class="title">Automake系列（ 四）安装可执行脚本</a>
					<div>
						有些程序在发布的时候,除了编译的二进制可执行程序以外,还需要安装一些可执行的脚本.安装这些可执行脚本,有两种方式: 1.安装可执行脚本到bin目录或者是sbin目录 比如我这里有个脚本在源代码目录的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ32wb.html" rel="bookmark" class="title">酷狗收音机有哪些特色功能</a>
					<div>
						  1.丰富的电台列表 从电台类型.所在地域所属流派不同的组合找到心爱的电台,还能根据使用者所在地点提供邻近电台推荐服务. 2.智能识别功能 收听电台节目时,对其中的感兴趣歌曲,酷狗收音机能轻松帮你识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnwD0z.html" rel="bookmark" class="title">安装LAMP PHP的&period;&sol;configure 参数，未出现MYSQ</a>
					<div>
						编译参数: ./configure \ --prefix=/usr/local/php5 \ --with-apxs2=/usr/local/apache2/bin/apxs \ --enable-s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1gvaz.html" rel="bookmark" class="title">SEOer技能必备之如何开展流量统计分析工作</a>
					<div>
						流量监控与第三方访问流量统计的选择,以及对于网站的访问进行监控和分析是管理人员日常的一项重要工作,最近葫芦博主接触到一些站长百科流量统计分析工作,那么流量统计分析工作到底要如何着手展开呢? 首先,访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxnD7z.html" rel="bookmark" class="title">ASP&period;NET程序实现博客日历</a>
					<div>
						asp.net|博客|程序|日历 效果图: 前台页面 &lt;%@ Page language=&quot;c#&quot; Codebehind=&quot;WebForm1.aspx.cs&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOamgRM.html" rel="bookmark" class="title">印象笔记&CenterDot;圈点编辑器如何使用</a>
					<div>
						印象笔记·圈点 编辑器 Windows 桌面版 印象笔记·圈点 可直接打开 印象笔记·圈点 编辑器.如果初次使用 Windows 桌面版 印象笔记·圈点,将会打开一个空白的 印象笔记·圈点 笔记,否则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1vjJb.html" rel="bookmark" class="title">电脑如何用HDMI连接电视</a>
					<div>
						为什么要用HDMI线实现电脑连接电视? 因为现在的液晶电视基本上都有VGA接口,所以你可以很容易地用VGA线实现电脑连接电视上,但是该文有一个地方没有提到,那就是分辨率的问 题,现在的液晶电视的主流面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGEjWp.html" rel="bookmark" class="title">Win7系统开机进入欢迎界面出现黑屏如何解决</a>
					<div>
						  1.重启机器,直接F8 安全模式启动,可以启动的,直接进入桌面; 2.WIN+R(ALT和Ctrl中间那个键)打开输入命令栏 直接输入cmd 敲击回车 进入DOS界面; 3.在界面下输入netsh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdZ26M.html" rel="bookmark" class="title">电脑很卡 系统提示内存不足的解决办法</a>
					<div>
						电脑卡得不行,软件运行速度超慢,系统提示内存不足,这时该怎么办呢? 我经历了惨痛的教训后,终于痛下前非,整理出了一些优化加速电脑,缓解内存不足的相关措施,仅供参考. 希望能够帮到大家吧- 关闭没必要的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1a0mb.html" rel="bookmark" class="title">测出U盘容量真假的小妙招</a>
					<div>
						  1.存入的文件容量超过U盘标称值的一半即可.少于一半检测不出来真假;按标称值,费时间.特别是对大容量U盘,可以节省不少时间. 2.存入的文件最好是图片文件.一张照片就占几MB,而大一点的文字材料也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3YYAM.html" rel="bookmark" class="title">cdr文件除了用CorelDraw还可以用什么软件打开</a>
					<div>
						  cdr文件怎么打开?除了用CorelDraw 还可以用什么软件打开呢?因为那软件不是免费的,而且比较大,很难安装 想查看cdr文件,不用装其他软件哦,绿盟有绿色版的小工具可以看 CDR文件浏览器可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3nNPz.html" rel="bookmark" class="title">Gmail工具栏界面更新</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 从其他Web邮件切换到Gmail的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N2WWz.html" rel="bookmark" class="title">android 判断activity是否在最上层</a>
					<div>
						private boolean isTopActivity() { boolean isTop = false; ActivityManager am = (ActivityManager)getSy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlVLmb.html" rel="bookmark" class="title">7mall商城：如何去解读&OpenCurlyDoubleQuote;新零售&rdquo;之&OpenCurlyDoubleQuote;新&rdquo;</a>
					<div>
						&quot;新零售&quot;的概念是马云在云栖大会上提出未来的电子商务将被&quot;新零售&quot;取代之后便横空出世.业界就&quot;新零售&quot;的讨论顿时高潮迭起,很有可能取代传统电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWgEmp.html" rel="bookmark" class="title">Struts2声明式验证</a>
					<div>
						声明式验证步骤 一 .编写Action类 package com.tg.action; import com.opensymphony.xwork2.ActionSupport; public cla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lowdb.html" rel="bookmark" class="title">android之Fragment静态实现实例</a>
					<div>
						http://www.cnblogs.com/hanyuan/archive/2012/03/19/fragment_in_layout.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEN62z.html" rel="bookmark" class="title">mysql5&period;7如何获取json数组里的某些值</a>
					<div>
						问题描述 mysql5.7如何获取json数组里的某些值 json数组是这样的: [ {&quot;name&quot;:&quot;a&quot;,&quot;score&quot;:20,&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRnrBz.html" rel="bookmark" class="title">SpringMVC与Mybatis框架整合遇到的坑</a>
					<div>
						最近在做springmvc与mybatis的项目,遇到一些比较坑的问题.花了许多时间却发现其实解决的办法很简单.这里主要是讲我自己在整合这两个框架的时候遇到的一些问题做一个整理.希望遇到和我同样问题的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PgZ3p.html" rel="bookmark" class="title">ceditview-MFC CEditView如何去掉水平和垂直的滚动条？</a>
					<div>
						问题描述 MFC CEditView如何去掉水平和垂直的滚动条? 网上查了一下. BOOL EditView::PreCreateWindow(CREATESTRUCT&amp; cs) { // T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAw8ZM.html" rel="bookmark" class="title">c-浮点数是用什么进行运算的？？？？</a>
					<div>
						问题描述 浮点数是用什么进行运算的???? 浮点数是用补码的方法进行减法运算的吗? 若是,那么他是怎么算的,浮点数中存在着阶码,转为补码的时候,阶码也要跟着反码加一之类的吗? 若不是,那么他是怎么进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAaO2M.html" rel="bookmark" class="title">这种情况下，SQL语句怎么写？急急急！</a>
					<div>
						问题描述 这种情况下,SQL语句怎么写?急急急! 2C 我有表table1 其中有字段 name 和 address.这两个字段的值不可能相等,而且不同行它们的值也不会相等.现在要实现一个功能:我传入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6eVwb.html" rel="bookmark" class="title">未能加载文件或程序集&OpenCurlyDoubleQuote;Pager&rdquo;或它的某一个依赖项。参数错误。</a>
					<div>
						问题描述 未能加载文件或程序集&quot;Pager&quot;或它的某一个依赖项.参数错误. 未能加载文件或程序集&quot;Pager&quot;或它的某一个依赖项.参数错误. (异常来自 HRE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P5xZp.html" rel="bookmark" class="title">vb6&period;0-VB6&period;0怎么在菜单条的右边增加图片</a>
					<div>
						问题描述 VB6.0怎么在菜单条的右边增加图片 微软公司研制的Windows XP操作系统的&lt;我的电脑&gt;中在菜单条的右边有LOGO,请问VB中怎么实现类似的效果? 解决方案 可以使用api ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnJYrM.html" rel="bookmark" class="title">Java Swing编程：JTable表格</a>
					<div>
						表格是GUI编程中使用较多,但也是最麻烦的一个控件之一.表格是用来显示二维数据,提供编辑,选择等功能.如果只是显示数据,这还是非常easy的,只要在JTable中传入二维数组或集合就可以了. 表格是G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xmGab.html" rel="bookmark" class="title">弹出页面法语显示乱码怎么解决？</a>
					<div>
						问题描述 法语都存在resxcode里面.encoding=&quot;utf-8&quot;页面显示没有问题.但是弹出页面显示法语单词出现问题.例如ê显示为&amp;#234é显示为&amp;#23 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNjrqM.html" rel="bookmark" class="title">【Google】新增简体中文 移动版Google Docs更新</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 昨日,谷歌发布了最新版的Google Docs即Googl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7xXZz.html" rel="bookmark" class="title">Android免费应用更多</a>
					<div>
						■ 亮眼数据 数据分析机构Distimo发布的信息显示,在免费应用(Apps)这一项上,谷歌的Android已经稍微超过了苹果的iPhone,双方的免费应用数量分别为134342个和121845个.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
